shibboleth-3.5.0

Public Member Functions | List of all members
shibsp::Remoted Class Referenceabstract

Interface to a remoted service. More...

`#include <shibsp/remoting/ListenerService.h>`

Inheritance diagram for shibsp::Remoted:

## Public Member Functions
virtual void | receive (DDF &in, std::ostream &out)=0
| Remoted classes implement this method to process incoming messages. More...

## Detailed Description

Interface to a remoted service.

Classes that support remoted messages delivered by the Listener runtime support this interface and register themselves with the runtime to receive particular messages.

## Member Function Documentation

## ◆ receive()

virtual void shibsp::Remoted::receive | ( | DDF & | in,
|  | std::ostream & | out
| ) |  |
| pure virtual

Remoted classes implement this method to process incoming messages.

Parameters

  in | incoming DDF message
  out | stream to write outgoing DDF message to

Implemented in shibsp::AssertionConsumerService, shibsp::LogoutHandler, shibsp::SSCache, shibsp::XMLApplication, shibsp::XMLConfig, and shibsp::ListenerService.

The documentation for this class was generated from the following file:

- shibsp/remoting/ListenerService.h